using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace TradeBlotter.UIUtils
{
  public class BrushCollection
  {
    public enum BrushColor{Black=0,Red=1,Green=2,Blue=3,Yellow=4,LightGreen=5,Purple=6,Indigo=7,White=8,Cyan=9};
    public static Brush[] ContextBrushes={
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#000000")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#FF0000")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#008000")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#0080FF")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#FFFF00")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#90EE90")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#422057FF")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#4B0082")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#FFFFFF")),
     new SolidColorBrush((Color)ColorConverter.ConvertFromString("#00FFFF")),
    };
    private BrushCollection()
    {
    }
    public static Brush GetContextBrush(BrushColor brushColor)
    {
      return ContextBrushes[(int)brushColor];
    }
  }
}
